For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Discord
DocsAPI Reference
DocsAPI Reference
  • Projects
    • GETList projects
    • POSTCreate a project
    • GETGet a project
    • DELDelete a project
    • PATCHUpdate a project
    • GETList project credentials
    • POSTCreate a project credential
    • GETList project memories
    • POSTCreate a project memory
    • DELDelete a project memory
    • GETList project files
    • GETList project mobile apps
    • POSTUpload a project mobile app
    • DELDelete a project mobile app
    • POSTInitiate a project mobile app upload
    • POSTConfirm a project mobile app upload
  • Tests
    • GETList tests
    • POSTCreate a test
    • GETGet a test
    • DELDelete a test
    • PATCHUpdate a test
    • POSTTrigger a test run
  • Groups
    • GETList test groups
    • POSTCreate a test group
    • GETGet a test group
    • DELDelete a test group
    • PATCHUpdate a test group
    • POSTAdd a test to a group
    • DELRemove a test from a group
    • POSTTrigger a test group run
  • Webhooks
    • POSTTrigger a project webhook
    • POSTTrigger a group webhook
  • Test Runs
    • GETList test runs
    • GETGet test run status
    • POSTCancel a queued or running run
LogoLogo
Discord
Groups

Create a test group

||View as Markdown|
POST
https://tester.army/v1/groups
POST
/v1/groups
$curl -X POST https://tester.army/v1/groups \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "projectId": "string",
> "name": "string"
>}'
1{
2 "group": {
3 "id": "string",
4 "name": "string",
5 "isDefault": true,
6 "runMode": "concurrent",
7 "prepTestId": "string",
8 "projectId": "string"
9 }
10}
Create a test group in a project. Capped at 20 groups per project.
Was this page helpful?
Previous

List test groups

Next

Get a test group

Built with

Authentication

AuthorizationBearer
API key authentication using Bearer token format

Request

This endpoint expects an object.
projectIdstringRequired
Project ID
namestringRequired1-255 characters
runModeenumOptional
Allowed values:
prepTestIdstring or nullOptionalformat: "uuid"

Response

Group created
groupobject

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error